curl --request POST \
--url https://api.hyrd.de/gin/v1/company/candidate/university \
--header 'Content-Type: application/json' \
--data '
{
"user_slug": "39c12359-7eaf-407d-9be7-97f522a1e7f2",
"start_date": "01-02-2024",
"end_date": "01-02-2024",
"university_name": "Kampus Merdeka",
"study_name": "Tourismusmanagement",
"university_degrees_id": 2,
"description": "",
"grade": 1,
"grading_systems_id": 52
}
'import requests
url = "https://api.hyrd.de/gin/v1/company/candidate/university"
payload = {
"user_slug": "39c12359-7eaf-407d-9be7-97f522a1e7f2",
"start_date": "01-02-2024",
"end_date": "01-02-2024",
"university_name": "Kampus Merdeka",
"study_name": "Tourismusmanagement",
"university_degrees_id": 2,
"description": "",
"grade": 1,
"grading_systems_id": 52
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
user_slug: '39c12359-7eaf-407d-9be7-97f522a1e7f2',
start_date: '01-02-2024',
end_date: '01-02-2024',
university_name: 'Kampus Merdeka',
study_name: 'Tourismusmanagement',
university_degrees_id: 2,
description: '',
grade: 1,
grading_systems_id: 52
})
};
fetch('https://api.hyrd.de/gin/v1/company/candidate/university', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Add candidate university
Create Company Candidate University
This endpoint allows the creation of a new university record for a candidate within a company.
Request Body
-
user_slug(string): The unique identifier of the user. -
start_date(string, required): The start date of the university record. -
end_date(string, optional): The end date of the university record. -
university_name(string): The name of the university. -
study_name(string): The name of the study program. -
university_degrees_id(integer): The ID representing the university degree. -
description(string, optional): A brief description of the university record. -
grade(integer): The grade obtained. -
grading_systems_id(integer): The ID representing the grading system used.
Response
The response is in JSON format with the following schema:
{
"message": "Candidate job input successfully",
"status": 201
}
-
message(string): A message related to the request. -
status(integer): The status of the request.
Example:
{
"user_slug": "39c12359-7eaf-407d-9be7-97f522...",
"start_date": "01-02-2024",
"end_date": "01-02-2024",
"university_name": "Kampus Merdeka",
"study_name": "Tourismusmanagement",
"university_degrees_id": 2,
"description": "",
"grade": 1,
"grading_systems_id": 52
}
Headers
Body
The body is of type object.
Response
Successful response